Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Class CharacterString.Template

    java.lang.Object
      |
      +--org.mozilla.jss.asn1.CharacterString.Template

All Implemented Interfaces:
  ASN1Template

Direct Known Subclasses:
  BMPString.Template, IA5String.Template, PrintableString.Template, TeletexString.Template, UniversalString.Template, UTF8String.Template

Enclosing class:
  CharacterString

public abstract static class CharacterString.Template
extends java.lang.Object
implements ASN1Template

Constructor Summary
`CharacterString.Template()`

Method Summary
`ASN1Value` | `decode(java.io.InputStream istream)` Decodes an ASN1Value from the InputStream without an implicit tag.
`ASN1Value` | `decode(Tag implicitTag, java.io.InputStream istream)` Decodes an ASN1Value from the InputStream with the given implicit tag.
`protected abstract CharacterString` | `generateInstance(char[] chars)` Must be overridden to create an instance of the subclass given a char array.
`protected abstract CharConverter` | `getCharConverter()` Must be overridden to return the correct character converter for the subclass.
`protected abstract Tag` | `getTag()` Must be overridden to return the tag for the subclass.
`abstract boolean` | `tagMatch(Tag tag)` Determines whether the given tag will satisfy this template.
`protected abstract java.lang.String` | `typeName()` Must be overridden to provide the name of the subclass, for including into error messages.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### CharacterString.Template

    public CharacterString.Template()

Method Detail

### getTag

    protected abstract Tag getTag()

  Must be overridden to return the tag for the subclass.

### tagMatch

    public abstract boolean tagMatch(Tag tag)

  Description copied from interface: `ASN1Template`
  Determines whether the given tag will satisfy this template.
  Specified by:
    `tagMatch` in interface `ASN1Template`

### getCharConverter

    protected abstract CharConverter getCharConverter()

  Must be overridden to return the correct character converter for the subclass.

### generateInstance

    protected abstract CharacterString generateInstance(char[] chars)
                                                 throws java.io.CharConversionException

  Must be overridden to create an instance of the subclass given a char array.

### typeName

    protected abstract java.lang.String typeName()

  Must be overridden to provide the name of the subclass, for including into error messages.

### decode

    public ASN1Value decode(java.io.InputStream istream)
                     throws java.io.IOException,
                            InvalidBERException

  Description copied from interface: `ASN1Template`
  Decodes an ASN1Value from the InputStream without an implicit tag.
  Specified by:
    `decode` in interface `ASN1Template`
  Following copied from interface: `org.mozilla.jss.asn1.ASN1Template`
  Parameters:
    `istream` - Must support marking (markSupported() == true). For example, ByteArrayInputStream and BufferedInputStream support marking, but FileInputStream does not. If your source does not support marking, you can wrap it in a BufferedInputStream.

### decode

    public ASN1Value decode(Tag implicitTag,
                            java.io.InputStream istream)
                     throws java.io.IOException,
                            InvalidBERException

  Description copied from interface: `ASN1Template`
  Decodes an ASN1Value from the InputStream with the given implicit tag.
  Specified by:
    `decode` in interface `ASN1Template`
  Following copied from interface: `org.mozilla.jss.asn1.ASN1Template`
  Parameters:
    `istream` - Must support marking (markSupported() == true). For example, ByteArrayInputStream and BufferedInputStream support marking, but FileInputStream does not. If your source does not support marking, you can wrap it in a BufferedInputStream.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD